import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { ApiChatService } from '../services/api-chat.service';
import {BoardsComponent} from "../SingleThread/boards.component";
import * as vars from "../var/api";


@Component({
  selector: 'app-send-post',
  templateUrl: './send-post.component.html',
  styleUrls: ['./send-post.component.css']
})
export class SendPostComponent implements OnInit {

  progress: number;
  message: string = '';
  filename: string[] = [];

  constructor(
    public apiChatService: ApiChatService,
    private boards: BoardsComponent
    ) {
  }




  sendPost(text: string) {
    var threadId = vars.displayed_thread;
    this.apiChatService.sendPostToApi(text, this.filename, threadId).subscribe( response => {
      response = response.toString();
      vars.showAlert(response.toString(), "#ff0a36");
      this.refreshDisplayedThread();
    });
    this.message = '0';
    this.filename = [];
  }


   sendPic(event: any) {
     this.apiChatService.sendpic(event.target.files[0]).subscribe(
      response => {
        response = response.value.toString();
        this.filename.push(response);
        vars.showAlert("Картинка " + response + " добавлена к посту!", "#ff0a36")
    });
  }

  refreshDisplayedThread(){
    this.boards.refreshPosts("b", vars.displayed_thread)
  }

  ngOnInit(): void {
  }

}
